///////////////////////////////////////////////////////////////////////
//
// $Id: McWildMatch.h,v 1.1.1.1 1998/05/27 21:44:04 stemm Exp $
//
///////////////////////////////////////////////////////////////////////
#ifndef MC_WILD_MATCH_H
#define MC_WILD_MATCH_H

/// Matches string against pattern containing wildcards '?' and '*'.
/** This routine tests a string against a wild card pattern. The wild 
    characters are '*' and '?'. '*' matches an arbitrary sequence of
    characters while '?' matches any single character. Returns 1 if the
    match is successful, 0 otherwise. */
extern int mcWildMatch(const char* str, const char* pattern);

#endif
